using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using FarPoint.Win.Spread;

namespace SpreadCustomDataModel
{
    public partial class Form1        : Form
    {
        public Form1()
        {
            const int ROWS = 250, COLS = 10;

            InitializeComponent();
            object[,] ary = new object[ROWS, COLS];
            for (int r = 0; r < ROWS; r++)
            {
                for (int c = 0; c < COLS; c++)
                { ary[r, c] = r + c; }
            }

            SheetView sv = fpSpread1_Sheet1;
            sv.ColumnCount = ary.GetLength(1);
            sv.RowCount = ary.GetLength(0);
            sv.SetArray(0, 0, ary);

            fpSpread1.AllowColumnMove = true;

 
        }
    }
}